## WebKitResponsePolicyDecision WebKitResponsePolicyDecision — A policy decision for resource responses |

## Functions

WebKitURIRequest * | webkit_response_policy_decision_get_request ()
WebKitURIResponse * | webkit_response_policy_decision_get_response ()
gboolean | webkit_response_policy_decision_is_mime_type_supported ()

## Properties

WebKitURIRequest * | request | Read
WebKitURIResponse * | response | Read

## Types and Values

struct | WebKitResponsePolicyDecision

## Object Hierarchy

        GObject
        ╰── WebKitPolicyDecision
            ╰── WebKitResponsePolicyDecision

## Description

WebKitResponsePolicyDecision represents a policy decision for a resource response, whether from the network or the local system. A very common use case for these types of decision is deciding whether or not to download a particular resource or to load it normally.

## Functions

### webkit_response_policy_decision_get_request ()

    WebKitURIRequest *
    webkit_response_policy_decision_get_request
                                   (WebKitResponsePolicyDecision *decision);

Return the WebKitURIRequest associated with the response decision. Modifications to the returned object are not taken into account when the request is sent over the network, and is intended only to aid in evaluating whether a response decision should be taken or not. To modify requests before they are sent over the network the “send-request” signal can be used instead.

#### Parameters

decision | a WebKitResponsePolicyDecision |

#### Returns

The URI request that is associated with this policy decision.

[transfer none]

### webkit_response_policy_decision_get_response ()

    WebKitURIResponse *
    webkit_response_policy_decision_get_response
                                   (WebKitResponsePolicyDecision *decision);

Gets the value of the “response” property.

#### Parameters

decision | a WebKitResponsePolicyDecision |

#### Returns

The URI response that is associated with this policy decision.

[transfer none]

### webkit_response_policy_decision_is_mime_type_supported ()

    gboolean
    webkit_response_policy_decision_is_mime_type_supported
                                   (WebKitResponsePolicyDecision *decision);

Gets whether the MIME type of the response can be displayed in the WebKitWebView that triggered this policy decision request. See also `webkit_web_view_can_show_mime_type()`.

#### Parameters

decision | a WebKitResponsePolicyDecision |

#### Returns

`TRUE` if the MIME type of the response is supported or `FALSE` otherwise

Since: 2.4

## Types and Values

### struct WebKitResponsePolicyDecision

    struct WebKitResponsePolicyDecision;

## Property Details

### The `“request”` property

      “request”                  WebKitURIRequest *

This property contains the WebKitURIRequest associated with this policy decision.

Owner: WebKitResponsePolicyDecision

Flags: Read

### The `“response”` property

      “response”                 WebKitURIResponse *

This property contains the WebKitURIResponse associated with this policy decision.

Owner: WebKitResponsePolicyDecision

Flags: Read

## See Also

WebKitPolicyDecision, WebKitWebView